Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1967534 - python-pyeclib fails to build in Fedora 35+: Broken RPATH will fail rpmbuild
Summary: python-pyeclib fails to build in Fedora 35+: Broken RPATH will fail rpmbuild
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyeclib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1969087 (view as bug list)
Depends On:
Blocks: PYTHON3.10 F35FTBFS F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-06-03 10:27 UTC by Tomáš Hrnčiar
Modified: 2021-06-24 22:48 UTC (History)
5 users (show)

Fixed In Version: python-pyeclib-1.6.0-5.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-24 22:48:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 798010 0 None NEW DNM Drop explicit /usr/lib 2021-06-24 22:48:50 UTC

Description Tomáš Hrnčiar 2021-06-03 10:27:08 UTC
python-pyeclib fails to build in Fedora 35+

https://fedoraproject.org/wiki/Changes/Broken_RPATH_will_fail_rpmbuild 

Related section in packaging guidelines.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_beware_of_rpath

+ /usr/lib/rpm/check-rpaths
*******************************************************************************
*
* WARNING: 'check-rpaths' detected a broken RPATH OR RUNPATH and will cause
*          'rpmbuild' to fail. To ignore these errors, you can set the
*          '$QA_RPATHS' environment variable which is a bitmask allowing the
*          values below. The current value of QA_RPATHS is 0x0000.
*
*    0x0001 ... standard RPATHs (e.g. /usr/lib); such RPATHs are a minor
*               issue but are introducing redundant searchpaths without
*               providing a benefit. They can also cause errors in multilib
*               environments.
*    0x0002 ... invalid RPATHs; these are RPATHs which are neither absolute
*               nor relative filenames and can therefore be a SECURITY risk
*    0x0004 ... insecure RPATHs; these are relative RPATHs which are a
*               SECURITY risk
*    0x0008 ... the special '$ORIGIN' RPATHs are appearing after other
*               RPATHs; this is just a minor issue but usually unwanted
*    0x0010 ... the RPATH is empty; there is no reason for such RPATHs
*               and they cause unneeded work while loading libraries
*    0x0020 ... an RPATH references '..' of an absolute path; this will break
*               the functionality when the path before '..' is a symlink
*          
*
* Examples:
* - to ignore standard and empty RPATHs, execute 'rpmbuild' like
*   $ QA_RPATHS=$(( 0x0001|0x0010 )) rpmbuild my-package.src.rpm
* - to check existing files, set $RPM_BUILD_ROOT and execute check-rpaths like
*   $ RPM_BUILD_ROOT=<top-dir> /usr/lib/rpm/check-rpaths
*  
*******************************************************************************
ERROR   0001: file '/usr/lib64/python3.10/site-packages/pyeclib_c.cpython-310-x86_64-linux-gnu.so' contains a standard runpath '/usr/lib' in [/usr/lib]

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/02219283-python-pyeclib/

For all our attempts to build python-pyeclib with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-pyeclib/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2021-06-04 20:15:11 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 2 Miro Hrončok 2021-06-07 22:59:39 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 3 Miro Hrončok 2021-06-08 11:30:26 UTC
*** Bug 1969087 has been marked as a duplicate of this bug. ***

Comment 4 Miro Hrončok 2021-06-15 20:29:00 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 5 Pete Zaitcev 2021-06-24 22:46:09 UTC
I tried to drop the explicit request for /usr/lib, but
unfortunately, Ununtu build system of OpenStack throws this:

2021-06-24 19:37:08.656794 | TASK [build-python-release : Build a tarball and wheel]
2021-06-24 19:37:09.930259 | ubuntu-focal | running sdist
..................
2021-06-24 19:37:10.519399 | ubuntu-focal | running build
2021-06-24 19:37:10.705265 | ubuntu-focal | /usr/lib/python3.8/distutils/dist.py:274: UserWarning: Unknown distribution option: 'bugtrack_url'
2021-06-24 19:37:10.705314 | ubuntu-focal |   warnings.warn(msg)
2021-06-24 19:37:10.705331 | ubuntu-focal | **************************************************************
2021-06-24 19:37:10.705345 | ubuntu-focal | ***
2021-06-24 19:37:10.705358 | ubuntu-focal | *** Can not locate liberasurecode.so.1
2021-06-24 19:37:10.705371 | ubuntu-focal | ***
2021-06-24 19:37:10.705385 | ubuntu-focal | *** Install -
2021-06-24 19:37:10.705398 | ubuntu-focal | ***   Manual: https://github.com/openstack/liberasurecode
2021-06-24 19:37:10.705411 | ubuntu-focal | ***   Fedora/Red Hat variants: liberasurecode-devel
2021-06-24 19:37:10.705424 | ubuntu-focal | ***   Debian/Ubuntu variants: liberasurecode-dev
2021-06-24 19:37:10.705437 | ubuntu-focal | ***
2021-06-24 19:37:10.705449 | ubuntu-focal | **************************************************************
2021-06-24 19:37:10.801485 | ubuntu-focal | ERROR

So, I'm going to carry the patch in our RPM for now.


Note You need to log in before you can comment on or make changes to this bug.